# Uses of Class
org.eclipse.jface.text.TextViewer

Packages that use TextViewer
Package
Description
org.eclipse.compare.contentmergeviewer
Support for compare and merge viewers which show the content side-by-side.
org.eclipse.compare.internal
org.eclipse.debug.ui
Provides a generic debugger user interface that clients may customize via standard workbench extension points.
org.eclipse.jface.text.source
Provides a framework for connecting document regions with annotations and for displaying those.
org.eclipse.jface.text.source.projection
This package provides the UI part for projection documents of which the most important part is the projection viewer.
org.eclipse.ui.console
Application programming interfaces for interaction with the Eclipse console.

## Uses of TextViewer in org.eclipse.compare.contentmergeviewer

Methods in org.eclipse.compare.contentmergeviewer with parameters of type TextViewer
Modifier and Type
Method
Description
`protected void`
TextMergeViewer.`configureTextViewer(TextViewer textViewer)`
Configures the passed text viewer.

## Uses of TextViewer in org.eclipse.compare.internal

Methods in org.eclipse.compare.internal with parameters of type TextViewer
Modifier and Type
Method
Description
`void`
CompareEditorSelectionProvider.`setViewers(TextViewer[] viewers, TextViewer viewerInFocus)`

## Uses of TextViewer in org.eclipse.debug.ui

Methods in org.eclipse.debug.ui that return TextViewer
Modifier and Type
Method
Description
`protected TextViewer`
AbstractDebugView.`getTextViewer()`
Returns this view's viewer as a text viewer, or `null` if none.

## Uses of TextViewer in org.eclipse.jface.text.source

Subclasses of TextViewer in org.eclipse.jface.text.source
Modifier and Type
Class
Description
`class`
`SourceViewer`
SWT based implementation of `ISourceViewer` and its extension interfaces.

## Uses of TextViewer in org.eclipse.jface.text.source.projection

Subclasses of TextViewer in org.eclipse.jface.text.source.projection
Modifier and Type
Class
Description
`class`
`ProjectionViewer`
A projection source viewer is a source viewer which supports multiple visible regions which can dynamically be changed.

## Uses of TextViewer in org.eclipse.ui.console

Subclasses of TextViewer in org.eclipse.ui.console
Modifier and Type
Class
Description
`class`
`TextConsoleViewer`
Default viewer used to display a `TextConsole`.